Bug 322982 - Wrong font on "New tab page" on startup
Summary: Wrong font on "New tab page" on startup
Status: RESOLVED FIXED
Alias: None
Product: rekonq
Classification: Unclassified
Component: general (show other bugs)
Version: 2.3.2
Platform: Kubuntu Packages Linux
: NOR minor with 1 vote (vote)
Target Milestone: ---
Assignee: Andrea Diamantini
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-30 09:16 UTC by Bernd Oliver Sünderhauf
Modified: 2013-08-02 09:23 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments
Screenshot on startup (87.51 KB, image/png)
2013-07-30 09:16 UTC, Bernd Oliver Sünderhauf
Details
Screenshot lateron (86.35 KB, image/png)
2013-07-30 09:17 UTC, Bernd Oliver Sünderhauf
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bernd Oliver Sünderhauf 2013-07-30 09:16:04 UTC
With the preference setting:
"When starting rekonq: Open the New Tab Page"
I'm getting the New Tab Page with the wrong font on startup.
Only after hitting any button, the page is rendered with the correct font.

Reproducible: Always
Comment 1 Bernd Oliver Sünderhauf 2013-07-30 09:16:56 UTC
Created attachment 81446 [details]
Screenshot on startup
Comment 2 Bernd Oliver Sünderhauf 2013-07-30 09:17:37 UTC
Created attachment 81447 [details]
Screenshot lateron
Comment 3 Bernd Oliver Sünderhauf 2013-07-30 09:19:36 UTC
As can be seen on the first screenshot, the favicon of the Kubuntu favorite is missing, too.
Comment 4 Andrea Diamantini 2013-08-02 09:23:01 UTC
Git commit 45e877d6e8c90b421c0a03e65cfa09d0bac76d5d by Andrea Diamantini.
Committed on 02/08/2013 at 09:21.
Pushed by adjam into branch 'master'.

Get sure web settings are applied BEFORE loading pages

There is also a change in font size management, ignoring DPI and consi
dering settings as pixels.
Change default font size to 16 (default internet pixel font size)

M  +23   -51   src/application.cpp
M  +1    -1    src/rekonq.kcfg

http://commits.kde.org/rekonq/45e877d6e8c90b421c0a03e65cfa09d0bac76d5d